Welcome, Guest. Please login or register.
Did you miss your activation email?
Wednesday 19 June 2019, 04:07:27 pm

Login with username, password and session length

Download the latest community FREE version  HERE
13923 Posts in 4237 Topics by 5946 Members
Latest Member: sreekanumuri
Search:     Advanced search
+  EFW Support
|-+  Support
| |-+  VPN Support
| | |-+  VPN not working on EFW community 2.5.1
0 Members and 2 Guests are viewing this topic. « previous next »
Pages: 1 [2] Go Down Print
Author Topic: VPN not working on EFW community 2.5.1  (Read 34670 times)
dda
Sr. Member
****
Offline Offline

Posts: 227


« Reply #15 on: Wednesday 19 June 2013, 02:01:16 am »

Thank you Sota Grin, will try and let you know
Logged
dda
Sr. Member
****
Offline Offline

Posts: 227


« Reply #16 on: Saturday 22 June 2013, 09:07:27 am »

I am getting this error message when i type "ossw-repos add" in putty "-bash: ossw-repos: command not found" should the file have an extension? or am i just doing something wrong?
Logged
sota
Full Member
***
Offline Offline

Posts: 14


« Reply #17 on: Monday 24 June 2013, 11:09:53 pm »

Assuming you are in that same folder as where you saved the script,  you have to make it executable with:

chmod a+x ossw-repos

then run:

./ossw-repos add

and

./oss-repos enable

then:

smart update
and
smart install ossw-l2tp

Logged
dda
Sr. Member
****
Offline Offline

Posts: 227


« Reply #18 on: Tuesday 25 June 2013, 09:37:22 am »

Thanks a million Sota its all good now.  Will test tomorrow.
Logged
dda
Sr. Member
****
Offline Offline

Posts: 227


« Reply #19 on: Wednesday 26 June 2013, 01:40:00 am »

Hi Sota,
        I am interested in the IFTOP as well, I did smart install iftop from Roberts repository and it seemed to have installed
where can I go to see the reporting of the iftop addon?
Logged
sota
Full Member
***
Offline Offline

Posts: 14


« Reply #20 on: Wednesday 26 June 2013, 08:06:20 pm »

Hmm, try the iftop command in a Putty session?
Logged
dda
Sr. Member
****
Offline Offline

Posts: 227


« Reply #21 on: Thursday 27 June 2013, 02:07:22 am »

Hi Grin sorry for some reason it was not functioning when I first tried it, I actually did the install a second time closed putty and re-opened and it started working.  Sounded like a dumbass for a bit there didnt I Cheesy
Logged
sota
Full Member
***
Offline Offline

Posts: 14


« Reply #22 on: Thursday 27 June 2013, 07:36:15 pm »

It can happen to the best of us! Also, you can use iftop -i <interface name> to select which interface to use.
Logged
dda
Sr. Member
****
Offline Offline

Posts: 227


« Reply #23 on: Thursday 11 July 2013, 03:16:38 am »

I had actually googled it after it didn't work the first time but thanks for the assist.
Logged
jac4all
Jr. Member
*
Offline Offline

Posts: 9


« Reply #24 on: Sunday 24 November 2013, 03:46:50 am »

can any one pls giude me step by step how to add the channel and get robert repos. Huh

thanks
Logged
jac4all
Jr. Member
*
Offline Offline

Posts: 9


« Reply #25 on: Sunday 24 November 2013, 04:37:53 am »

after strugeling and geting things download it and folow the instruction you post i got this error

 smart install ossw-l2tp
Loading cache...
Traceback (most recent call last):
  File "/usr/bin/smart", line 200, in ?
    main(sys.argv[1:])
  File "/usr/bin/smart", line 173, in main
    exitcode = iface.run(opts.command, opts.argv)
  File "/usr/lib/python2.4/site-packages/smart/interface.py", line 53, in run
    result = _command.main(self._ctrl, opts)
  File "/usr/lib/python2.4/site-packages/smart/commands/install.py", line 105, in main
    ctrl.reloadChannels()
  File "/usr/lib/python2.4/site-packages/smart/control.py", line 388, in reloadChannels
    if not channel.fetch(self._fetcher, progress):
  File "/usr/lib/python2.4/site-packages/smart/channels/rpm_md.py", line 287, in fetch
    fetcher.run(progress=progress)
  File "/usr/lib/python2.4/site-packages/smart/fetcher.py", line 201, in run
    self.runLocal()
  File "/usr/lib/python2.4/site-packages/smart/fetcher.py", line 182, in runLocal
    handler.runLocal()
  File "/usr/lib/python2.4/site-packages/smart/fetcher.py", line 750, in runLocal
    if not valid and fetcher.validate(item, localpath):
  File "/usr/lib/python2.4/site-packages/smart/fetcher.py", line 408, in validate
    from smart.util.sha256 import sha256
ImportError: No module named sha256
Logged
mmiat
Sr. Member
****
Offline Offline

Gender: Male
Posts: 236


WWW
« Reply #26 on: Wednesday 11 December 2013, 12:04:38 am »

do you have EFW 2.5.1 or 2.5.2? ossw is not compatible with 2.5.2
Logged

---------------------
IT Consultant
www.fsw.it
Hardware & Software
mmiat
Sr. Member
****
Offline Offline

Gender: Male
Posts: 236


WWW
« Reply #27 on: Saturday 05 July 2014, 11:06:10 pm »

I tried to manually download and install packages from ossw repository with endian 2.5.2 and 3.0.0
some packages work, other no Sad
so', for example, it's impossible to compile other software's sources
Logged

---------------------
IT Consultant
www.fsw.it
Hardware & Software
mmiat
Sr. Member
****
Offline Offline

Gender: Male
Posts: 236


WWW
« Reply #28 on: Thursday 21 May 2015, 05:22:56 pm »

I use IPSec for lan-to-lan (or gw-to-gw) connections, but for roadwarriors I've installed softether on a server and don't use Endian, it's ok for openvpn but bot works with pptp/l2tp/etc., even if I use ossw repository
Logged

---------------------
IT Consultant
www.fsw.it
Hardware & Software
Pages: 1 [2] Go Up Print 
« previous next »
Jump to:  

Page created in 0.084 seconds with 19 queries.
Powered by SMF 1.1 RC2 | SMF © 2001-2005, Lewis Media Design by 7dana.com